const { uploadBlob } = require("./azureStorageConnector");
const fireProcess = require("../utils/fireProcess");
const packageConfig = require("../package.json");
const version = packageConfig.version;
const package = packageConfig.name;
const glob = require("glob");
const consola = require("consola");
const fs = require("fs");
const config = require("../config");

fireProcess("node workflow/preprocessComponents.js").then(() => {
  const targetGlob = `${config.paths.publishDest}/${version}/components/**/*.*`;

  glob(targetGlob, async (err, matches) => {
    if (err) {
      consola.error(err);
    }

    for (let i = 0; i < matches.length; i++) {
      const match = matches[i];
      const blobName =
        `${package}/${version}/css/` + match.split(`/${version}/`)[1];
      const content = fs.readFileSync(match, "utf-8");
      await uploadBlob(content, blobName);
    }

    fs.rm(config.paths.publishDest, { recursive: true }, (err) => {
      if (err) consola.error(err);
      consola.success(`Clean-up`);
    });
  });
});
