const chokidar = require("chokidar");
const config = require("../config");
const consola = require("consola");
const fireProcess = require("../utils/fireProcess");
const targetGlob = `${config.paths.base}/src/{elements,components,page-types}/**/*.scss`;

async function run() {
  chokidar.watch(targetGlob).on("change", async (path) => {
    consola.info(`${path} changed`);
    await fireProcess(
      `cd ${config.paths.workflow} && node preprocessStyles.js`,
      true,
      true,
      true
    );
  });

  consola.info(`Watching ${targetGlob} for changes`);
}

run();
